package com.example.modacon;

import java.util.Timer;
import java.util.TimerTask;

// periodic poll
public class ModbusPoll {
    public ModbusManager manager;
    public int period, reg, regs; // poll period,sec; register starting address and count
    public Timer timer; // polling timer
    
    public ModbusPoll(ModbusManager _manager, int _period, int _reg, int _regs){
        manager = _manager; period = _period;
        reg = _reg; regs = _regs;
        
        this.timer = new Timer();
        timer.scheduleAtFixedRate(new TimerTask(){ public void run(){
            if(manager.polling.get()){
//manager.toast("poll " + reg + " : " + regs, false);
                manager.readRegs(manager.slaveAddr.get(), reg, regs, true);
            }
        }}, 100, period * 1000);
    }

    // stop poll
    public void stop(){
        timer.cancel();
    }
}
